<div class="loading" *ngIf='status_loading'>Loading&#8230;</div>

<div id="content">
  <div class="row">
    <div class="col-8 d-flex justify-content-between align-items-center">
      <div class="title-warpper">
        <span class="head-title" style="cursor: pointer;" (click)="back()">
          <img src="assets/img/chevron-left.svg" style="cursor: pointer;" (click)="back()">
          Executive Summary</span>
        <span class="sub-title">สามารถดาวน์โหลดข้อมูล Executive Summary จากหน้านี้ได้</span>
      </div>
    </div>

    <div class="col-4 btn-all">
      <div class="export" value="CPTURE" (click)="downloadFile()">
        <span class="text-function" data-toggle="collapse" style="padding: 16px">
          Export PDF
        </span>
      </div>

      <div class="export" value="CPTURE" (click)="downloadFileWord()" style="border-left: 2px solid #E0E0E0;">
        <span class="text-function" data-toggle="collapse" style="padding: 16px">
          Export Word
        </span>
      </div>

      <div class="refresh" style="border-left: 2px solid #E0E0E0;">
        <span class="text-function" (click)="refresh_data()" style="padding: 16px">
          <img src="assets/img/rotate-cw.svg" class="icon-refresh "> &nbsp;
          Refresh Data
        </span>
      </div>
    </div>
  </div>



  <br>
  <!-- <div id='content' class="content" #content> -->

  <!-- information_1   รายละเอียดคำขอ   -->
  <div class="row p-0">
    <div class="col-12" id="heading_1">
      <div class="d-flex bd-highlight">
        <div class="w-100 bd-highlight">
          <p class="head-detal">รายละเอียดคำขอ</p>
        </div>
        <div class="flex-shrink-1 bd-highlight" style="width: 200px; text-align: end;">
          <!-- <span *ngIf="reviewStatus === false" 
        [ngClass]="{'showPanel_save_true': saveStatus_1 === true, 'showPanel_save_false': saveStatus_1 === false}"
         (click)="saveInformation_1()">บันทึก</span> -->
          <!-- <span class="showPanel" *ngIf="reviewStatus === false && saveStatus_1 === true" class="showPanel_save_true">บันทึก</span>
        <span class="showPanel" *ngIf="reviewStatus === false && saveStatus_1 === false" class="showPanel_save_false" (click)="saveInformation_1()">บันทึก</span>
        <span *ngIf="reviewStatus === false" class="comment-head-center"></span> -->
          <span class="showPanel" *ngIf="information_1 === true" style="margin-left: 3px;" data-toggle="collapse"
            data-target="#collapse_1" aria-expanded="false" aria-controls="collapse_1"
            (click)="information_1 = !information_1">แสดงผลน้อยลง</span>
          <span class="showPanel" *ngIf="information_1 === false" data-toggle="collapse" data-target="#collapse_1"
            aria-expanded="true" aria-controls="collapse_1"
            (click)="information_1 = !information_1">แสดงผลเพิ่มเติม</span>
        </div>
      </div>
    </div>
    <div class="col-12">
      <hr style="margin-top: 0px;margin-bottom: 20px;">
    </div>
    <div class="col-12 collapse" [ngClass]="{show: exportStatus}" id="collapse_1" aria-labelledby="heading_1">
      <div id="content1" class="body-detal">
        <app-request-details
          [template_manage]="{ role: null , validate: false, caaStatus: null, pageShow: 'executive'}">
        </app-request-details>
      </div>
      <br>
    </div>
  </div>


  <!-- information_20 ทบทวน 2.ปัญหาอุปสรรคและการจัดการ -->
  <div class="row p-0" *ngIf="objective === 'ทบทวนผลิตภัณฑ์ระหว่างปี' || objective === 'ทบทวนผลิตภัณฑ์ประจำปี'">
    <div class="col-12" id="heading_20">
      <div class="d-flex bd-highlight">
        <div class="w-100 bd-highlight">
          <p class="head-detal">ปัญหาอุปสรรคและการจัดการ</p>
        </div>
        <div class="flex-shrink-1 bd-highlight" style="width: 200px; text-align: end;">
          <!-- <span class="showPanel" *ngIf="reviewStatus === false && saveStatus_20 === true" class="showPanel_save_true">บันทึก</span>
        <span class="showPanel" *ngIf="reviewStatus === false && saveStatus_20 === false" class="showPanel_save_false" (click)="saveInformation_20()">บันทึก</span>
        <span *ngIf="reviewStatus === false" class="comment-head-center"></span> -->
          <span class="showPanel" *ngIf="information_20 === true" style="margin-left: 3px;" data-toggle="collapse"
            data-target="#collapse_20" aria-expanded="false" aria-controls="collapse_20"
            (click)="information_20 = !information_20"> แสดงผลน้อยลง </span>
          <span class="showPanel" *ngIf="information_20 === false" data-toggle="collapse" data-target="#collapse_20"
            aria-expanded="true" aria-controls="collapse_20" (click)="information_20 = !information_20"> แสดงผลเพิ่มเติม
          </span>
        </div>
      </div>
    </div>
    <div class="col-12">
      <hr style="margin-top: 0px;margin-bottom: 20px;">
    </div>
    <div class="col-12 collapse" [ngClass]="{show: exportStatus}" id="collapse_20" aria-labelledby="heading_20">
      <div class="body-detal">
        <app-step-two-summary
          [template_manage]="{ role: null , validate: false, caaStatus: 'show', pageShow: 'executive'}"
          (saveStatus)="getSaveStatus_20($event)"></app-step-two-summary>
      </div>
      <br>
    </div>
  </div>

  <!-- information_23 ทบทวน 14.ประวัติการปรับปรุงผลิตภัณฑ์ -->
  <div class="row p-0" *ngIf="objective === 'ทบทวนผลิตภัณฑ์ระหว่างปี' || objective === 'ทบทวนผลิตภัณฑ์ประจำปี'">
    <div class="col-12" id="heading_23">
      <div class="d-flex bd-highlight">
        <div class="w-100 bd-highlight">
          <p class="head-detal">ประวัติการปรับปรุงผลิตภัณฑ์</p>
        </div>
        <div class="flex-shrink-1 bd-highlight" style="width: 200px; text-align: end;">
          <!-- <span class="showPanel" *ngIf="reviewStatus === false && saveStatus_23 === true" class="showPanel_save_true">บันทึก</span>
        <span class="showPanel" *ngIf="reviewStatus === false && saveStatus_23 === false" class="showPanel_save_false" (click)="saveInformation_23()">บันทึก</span>
        <span *ngIf="reviewStatus === false" class="comment-head-center"></span> -->
          <span class="showPanel" *ngIf="information_23 === true" style="margin-left: 3px;" data-toggle="collapse"
            data-target="#collapse_23" aria-expanded="false" aria-controls="collapse_23"
            (click)="information_23 = !information_23"> แสดงผลน้อยลง </span>
          <span class="showPanel" *ngIf="information_23 === false" data-toggle="collapse" data-target="#collapse_23"
            aria-expanded="true" aria-controls="collapse_23" (click)="information_23 = !information_23"> แสดงผลเพิ่มเติม
          </span>
        </div>
      </div>
    </div>
    <div class="col-12">
      <hr style="margin-top: 0px;margin-bottom: 20px;">
    </div>
    <div class="col-12 collapse" [ngClass]="{show: exportStatus}" id="collapse_23" aria-labelledby="heading_23">
      <div class="body-detal">
        <app-step-fourteen-summary
          [template_manage]="{ role: null , validate: detailValidate_23, caaStatus: 'show', pageShow: 'summary'}"
          (saveStatus)="getSaveStatus_23($event)"></app-step-fourteen-summary>
      </div>
      <br>
    </div>
  </div>


  <!-- information_2 1.แนวคิดและผลิตภัณฑ์ -->
  <div class="row p-0">
    <div class="col-12" id="heading_2">
      <div class="d-flex bd-highlight">
        <div class="w-100 bd-highlight">
          <p class="head-detal">แนวคิดผลิตภัณฑ์</p>
        </div>
        <div class="flex-shrink-1 bd-highlight" style="width: 200px; text-align: end;">
          <!-- <span class="showPanel" *ngIf="reviewStatus === false && saveStatus_2 === true" class="showPanel_save_true">บันทึก</span>
        <span class="showPanel" *ngIf="reviewStatus === false && saveStatus_2 === false" class="showPanel_save_false" (click)="saveInformation_2()">บันทึก</span>
        <span *ngIf="reviewStatus === false" class="comment-head-center"></span> -->
          <span class="showPanel" *ngIf="information_2 === true" style="margin-left: 3px;" data-toggle="collapse"
            data-target="#collapse_2" aria-expanded="false" aria-controls="collapse_2"
            (click)="information_2 = !information_2">แสดงผลน้อยลง</span>
          <span id='collapse02' class="showPanel" *ngIf="information_2 === false" data-toggle="collapse"
            data-target="#collapse_2" aria-expanded="true" aria-controls="collapse_2"
            (click)="information_2 = !information_2">แสดงผลเพิ่มเติม</span>
        </div>
      </div>
    </div>
    <div class="col-12">
      <hr style="margin-top: 0px;margin-bottom: 20px;">
    </div>
    <div class="col-12 collapse" [ngClass]="{show: exportStatus}" id="collapse_2" aria-labelledby="heading_2">
      <div class="body-detal">
        <app-step-one [template_manage]="{ role: null , validate: false, caaStatus: 'show', pageShow: 'executive' }">
        </app-step-one>
      </div>
      <br>
    </div>
  </div>

  <!-- information_3 2.สภาพตลาดและการแข่งขัน -->
  <div class="row p-0">
    <div class="col-12" id="heading_3">
      <div class="d-flex bd-highlight">
        <div class="w-100 bd-highlight">
          <p class="head-detal">วิเคราะห์สภาพตลาด ผลิตภัณฑ์ที่มีปัจจุบัน และคู่แข่งขัน</p>
        </div>
        <div class="flex-shrink-1 bd-highlight" style="width: 200px; text-align: end;">
          <!-- <span class="showPanel" *ngIf="reviewStatus === false && saveStatus_3 === true" class="showPanel_save_true">บันทึก</span>
        <span class="showPanel" *ngIf="reviewStatus === false && saveStatus_3 === false" class="showPanel_save_false" (click)="saveInformation_3()">บันทึก</span>
        <span *ngIf="reviewStatus === false" class="comment-head-center"></span> -->
          <span class="showPanel" *ngIf="information_3 === true" style="margin-left: 3px;" data-toggle="collapse"
            data-target="#collapse_3" aria-expanded="false" aria-controls="collapse_3"
            (click)="information_3 = !information_3">แสดงผลน้อยลง</span>
          <span class="showPanel" *ngIf="information_3 === false" data-toggle="collapse" data-target="#collapse_3"
            aria-expanded="true" aria-controls="collapse_3"
            (click)="information_3 = !information_3">แสดงผลเพิ่มเติม</span>
        </div>
      </div>
    </div>
    <div class="col-12">
      <hr style="margin-top: 0px;margin-bottom: 20px;">
    </div>
    <div class="col-12 collapse" [ngClass]="{show: exportStatus}" id="collapse_3" aria-labelledby="heading_3">
      <div class="body-detal">
        <app-step-two [template_manage]="{ role: null , validate: false, caaStatus: 'show', pageShow: 'executive' }">
        </app-step-two>
      </div>
      <br>
    </div>
  </div>

  <!-- information_4_1 3.รูปแบบผลิตภัณฑ์ - Business Loan -->
  <div *ngIf="businessStatus">
    <div class="row p-0">
      <div class="col-12" id="heading_4_1">
        <div class="d-flex bd-highlight">
          <div class="w-100 bd-highlight">
            <p class="head-detal">รูปแบบผลิตภัณฑ์ - Business Loan</p>
          </div>
          <div class="flex-shrink-1 bd-highlight" style="width: 200px; text-align: end;">
            <!-- <span class="showPanel" *ngIf="reviewStatus === false && saveStatus_4_1 === true" class="showPanel_save_true">บันทึก</span>
          <span class="showPanel" *ngIf="reviewStatus === false && saveStatus_4_1 === false" class="showPanel_save_false" (click)="saveInformation_4_1()">บันทึก</span>
          <span *ngIf="reviewStatus === false" class="comment-head-center"></span> -->
            <span class="showPanel" *ngIf="information_4_1 === true" style="margin-left: 3px;" data-toggle="collapse"
              data-target="#collapse_4_1" aria-expanded="false" aria-controls="collapse_4_1"
              (click)="information_4_1 = !information_4_1">แสดงผลน้อยลง</span>
            <span class="showPanel" *ngIf="information_4_1 === false" data-toggle="collapse" data-target="#collapse_4_1"
              aria-expanded="true" aria-controls="collapse_4_1"
              (click)="information_4_1 = !information_4_1">แสดงผลเพิ่มเติม</span>
          </div>
        </div>
      </div>
      <div class="col-12">
        <hr style="margin-top: 0px;margin-bottom: 20px;">
      </div>
      <div class="col-12 collapse" [ngClass]="{show: exportStatus}" id="collapse_4_1" aria-labelledby="heading_4_1">
        <div class="body-detal">
          <app-business-loan
            [template_manage]="{ role: null , validate: false, caaStatus: 'show', pageShow: 'executive'}">
          </app-business-loan>
        </div>
        <br>
      </div>
    </div>
  </div>

  <!-- information_4_2 3.รูปแบบผลิตภัณฑ์ - Business Loan -->
  <div *ngIf="personalStatus">
    <div class="row p-0">
      <div class="col-12" id="heading_4_2">
        <div class="d-flex bd-highlight">
          <div class="w-100 bd-highlight">
            <p class="head-detal">รูปแบบผลิตภัณฑ์ - Personal Loan</p>
          </div>
          <div class="flex-shrink-1 bd-highlight" style="width: 200px; text-align: end;">
            <!-- <span class="showPanel" *ngIf="reviewStatus === false && saveStatus_4_2 === true" class="showPanel_save_true">บันทึก</span>
          <span class="showPanel" *ngIf="reviewStatus === false && saveStatus_4_2 === false" class="showPanel_save_false" (click)="saveInformation_4_2()">บันทึก</span>
          <span *ngIf="reviewStatus === false" class="comment-head-center"></span> -->
            <span class="showPanel" *ngIf="information_4_2 === true" style="margin-left: 3px;" data-toggle="collapse"
              data-target="#collapse_4_2" aria-expanded="false" aria-controls="collapse_4_2"
              (click)="information_4_2 = !information_4_2">แสดงผลน้อยลง</span>
            <span class="showPanel" *ngIf="information_4_2 === false" data-toggle="collapse" data-target="#collapse_4_2"
              aria-expanded="true" aria-controls="collapse_4_2"
              (click)="information_4_2 = !information_4_2">แสดงผลเพิ่มเติม</span>
          </div>
        </div>
      </div>
      <div class="col-12">
        <hr style="margin-top: 0px;margin-bottom: 20px;">
      </div>
      <div class="col-12 collapse" [ngClass]="{show: exportStatus}" id="collapse_4_2" aria-labelledby="heading_4_2">
        <div class="body-detal">
          <app-personal-loan
            [template_manage]="{ role: null , validate: false, caaStatus: 'show', pageShow: 'executive' }">
          </app-personal-loan>
        </div>
        <br>
      </div>
    </div>
  </div>

  <!-- information_4_3 3.รูปแบบผลิตภัณฑ์ - Housing Loan -->
  <div *ngIf="housingStatus">
    <div class="row p-0">
      <div class="col-12" id="heading_4_3">
        <div class="d-flex bd-highlight">
          <div class="w-100 bd-highlight">
            <p class="head-detal">รูปแบบผลิตภัณฑ์ - Housing Loan</p>
          </div>
          <div class="flex-shrink-1 bd-highlight" style="width: 200px; text-align: end;">
            <!-- <span class="showPanel" *ngIf="reviewStatus === false && saveStatus_4_3 === true"
            class="showPanel_save_true">บันทึก</span>
          <span class="showPanel" *ngIf="reviewStatus === false && saveStatus_4_3 === false"
            class="showPanel_save_false" (click)="saveInformation_4_3()">บันทึก</span> -->
            <span *ngIf="reviewStatus === false" class="comment-head-center"></span>
            <span class="showPanel" *ngIf="information_4_3 === true" style="margin-left: 3px;" data-toggle="collapse"
              data-target="#collapse_4_3" aria-expanded="false" aria-controls="collapse_4_3"
              (click)="information_4_3 = !information_4_3">แสดงผลน้อยลง</span>
            <span class="showPanel" *ngIf="information_4_3 === false" data-toggle="collapse" data-target="#collapse_4_3"
              aria-expanded="true" aria-controls="collapse_4_3"
              (click)="information_4_3 = !information_4_3">แสดงผลเพิ่มเติม</span>
          </div>
        </div>
      </div>
      <div class="col-12">
        <hr style="margin-top: 0px;margin-bottom: 20px;">
      </div>
      <div class="col-12 collapse" [ngClass]="{show: exportStatus}" id="collapse_4_3" aria-labelledby="heading_4_3">
        <div class="body-detal">
          <app-housing-loan
            [template_manage]="{ role: null , validate: false, caaStatus: 'show', pageShow: 'executive' }">
          </app-housing-loan>
        </div>
        <br>
      </div>
    </div>
  </div>

  <!-- information_4_4 3.รูปแบบผลิตภัณฑ์ - Other -->
  <div *ngIf="otherStatus">
    <div class="row p-0">
      <div class="col-12" id="heading_4_4">
        <div class="d-flex bd-highlight">
          <div class="w-100 bd-highlight">
            <p class="head-detal">รูปแบบผลิตภัณฑ์ - อื่นๆ (Credit)</p>
          </div>
          <div class="flex-shrink-1 bd-highlight" style="width: 200px; text-align: end;">
            <!-- <span class="showPanel" *ngIf="reviewStatus === false && saveStatus_4_4 === true"
            class="showPanel_save_true">บันทึก</span>
          <span class="showPanel" *ngIf="reviewStatus === false && saveStatus_4_4 === false"
            class="showPanel_save_false" (click)="saveInformation_4_4()">บันทึก</span> -->
            <span *ngIf="reviewStatus === false" class="comment-head-center"></span>
            <span class="showPanel" *ngIf="information_4_4 === true" style="margin-left: 3px;" data-toggle="collapse"
              data-target="#collapse_4_4" aria-expanded="false" aria-controls="collapse_4_4"
              (click)="information_4_4 = !information_4_4">แสดงผลน้อยลง</span>
            <span class="showPanel" *ngIf="information_4_4 === false" data-toggle="collapse" data-target="#collapse_4_4"
              aria-expanded="true" aria-controls="collapse_4_4"
              (click)="information_4_4 = !information_4_4">แสดงผลเพิ่มเติม</span>
          </div>
        </div>
      </div>
      <div class="col-12">
        <hr style="margin-top: 0px;margin-bottom: 20px;">
      </div>
      <div class="col-12 collapse" [ngClass]="{show: exportStatus}" id="collapse_4_4" aria-labelledby="heading_4_4">
        <div class="body-detal">
          <app-other
            [template_manage]="{ role: null , validate: false, caaStatus: 'show', checkNon: 'Credit', pageShow: 'executive' }">
          </app-other>
        </div>
        <br>
      </div>
    </div>
  </div>

  <!-- information_4_5 3.รูปแบบผลิตภัณฑ์ - Non-Credit Product -->
  <div *ngIf="nonCreditStatus">
    <div class="row p-0">
      <div class="col-12" id="heading_4_5">
        <div class="d-flex bd-highlight">
          <div class="w-100 bd-highlight">
            <p class="head-detal">รูปแบบผลิตภัณฑ์ - Non-Credit Product</p>
          </div>
          <div class="flex-shrink-1 bd-highlight" style="width: 200px; text-align: end;">
            <!-- <span class="showPanel" *ngIf="reviewStatus === false && saveStatus_4_5 === true"
            class="showPanel_save_true">บันทึก</span>
          <span class="showPanel" *ngIf="reviewStatus === false && saveStatus_4_5 === false"
            class="showPanel_save_false" (click)="saveInformation_4_5()">บันทึก</span> -->
            <span *ngIf="reviewStatus === false" class="comment-head-center"></span>
            <span class="showPanel" *ngIf="information_4_5 === true" style="margin-left: 3px;" data-toggle="collapse"
              data-target="#collapse_4_5" aria-expanded="false" aria-controls="collapse_4_5"
              (click)="information_4_5 = !information_4_5">แสดงผลน้อยลง</span>
            <span class="showPanel" *ngIf="information_4_5 === false" data-toggle="collapse" data-target="#collapse_4_5"
              aria-expanded="true" aria-controls="collapse_4_5"
              (click)="information_4_5 = !information_4_5">แสดงผลเพิ่มเติม</span>
          </div>
        </div>
      </div>
      <div class="col-12">
        <hr style="margin-top: 0px;margin-bottom: 20px;">
      </div>
      <div class="col-12 collapse" [ngClass]="{show: exportStatus}" id="collapse_4_5" aria-labelledby="heading_4_5">
        <div class="body-detal">
          <app-non-credit [template_manage]="{ role: null , validate: false, caaStatus: 'show', pageShow: 'executive'}">
          </app-non-credit>
        </div>
        <br>
      </div>
    </div>
  </div>

  <!-- information_4_6 3.รูปแบบผลิตภัณฑ์ - Non Credit Product Other -->
  <div *ngIf="otherNonCreditStatus">
    <div class="row p-0">
      <div class="col-12" id="heading_4_6">
        <div class="d-flex bd-highlight">
          <div class="w-100 bd-highlight">
            <p class="head-detal">รูปแบบผลิตภัณฑ์ - อื่นๆ (Non-Credit Product)</p>
          </div>
          <div class="flex-shrink-1 bd-highlight" style="width: 200px; text-align: end;">
            <!-- <span class="showPanel" *ngIf="reviewStatus === false && saveStatus_4_6 === true" class="showPanel_save_true">บันทึก</span>
          <span class="showPanel" *ngIf="reviewStatus === false && saveStatus_4_6 === false" class="showPanel_save_false">บันทึก</span>
          <span *ngIf="reviewStatus === false" class="comment-head-center"></span> -->
            <span class="showPanel" *ngIf="information_4_6 === true" style="margin-left: 3px;" data-toggle="collapse"
              data-target="#collapse_4_6" aria-expanded="false" aria-controls="collapse_4_6"
              (click)="information_4_6 = !information_4_6">แสดงผลน้อยลง</span>
            <span class="showPanel" *ngIf="information_4_6 === false" data-toggle="collapse" data-target="#collapse_4_6"
              aria-expanded="true" aria-controls="collapse_4_6"
              (click)="information_4_6 = !information_4_6">แสดงผลเพิ่มเติม</span>
          </div>
        </div>
      </div>
      <div class="col-12">
        <hr style="margin-top: 0px;margin-bottom: 20px;">
      </div>
      <div class="col-12 collapse" [ngClass]="{show: exportStatus}" id="collapse_4_6" aria-labelledby="heading_4_6">
        <div class="body-detal">
          <app-other-non-creadit
            [template_manage]="{ role: null , validate: false, caaStatus: 'show', checkNon: 'NonCredit', pageShow: 'executive'}">
          </app-other-non-creadit>
        </div>
        <br>
      </div>
    </div>
  </div>

  <!-- information_10 9.เป้าหมาย / ตัวชี้วัด -->
  <div class="row p-0" *ngIf="objective === 'ผลิตภัณฑ์ใหม่'">
    <div class="col-12" id="heading_1">
      <div class="d-flex bd-highlight">
        <div class="w-100 bd-highlight">
          <p class="head-detal">เป้าหมาย / ตัวชี้วัด</p>
        </div>
        <div class="flex-shrink-1 bd-highlight" style="width: 200px; text-align: end;">
          <!-- <span class="showPanel" *ngIf="reviewStatus === false && saveStatus_10 === true"
          class="showPanel_save_true">บันทึก</span>
        <span class="showPanel" *ngIf="reviewStatus === false && saveStatus_10 === false" class="showPanel_save_false"
          (click)="saveInformation_10()">บันทึก</span> -->
          <span *ngIf="reviewStatus === false" class="comment-head-center"></span>
          <span class="showPanel" *ngIf="information_10 === true" style="margin-left: 3px;" data-toggle="collapse"
            data-target="#collapse_10" aria-expanded="false" aria-controls="collapse_10"
            (click)="information_10 = !information_10">แสดงผลน้อยลง</span>
          <span class="showPanel" *ngIf="information_10 === false" data-toggle="collapse" data-target="#collapse_10"
            aria-expanded="true" aria-controls="collapse_10"
            (click)="information_10 = !information_10">แสดงผลเพิ่มเติม</span>
        </div>
      </div>
    </div>
    <div class="col-12">
      <hr style="margin-top: 0px;margin-bottom: 20px;">
    </div>
    <div class="col-12 collapse" [ngClass]="{show: exportStatus}" id="collapse_10" aria-labelledby="heading_10">
      <div class="body-detal">
        <app-step-nine
          [template_manage]="{ role: null , validate: detailValidate_10, caaStatus: 'show', pageShow: 'executive' }"
          (saveStatus)="getSaveStatus_10($event)"></app-step-nine>
      </div>
      <br>
    </div>
  </div>

  <!-- information_21 ทบทวน 10.เป้าหมาย / ตัวชี้วัด -->
  <div class="row p-0" *ngIf="objective === 'ทบทวนผลิตภัณฑ์ระหว่างปี' || objective === 'ทบทวนผลิตภัณฑ์ประจำปี'">
    <div class="col-12" id="heading_21">
      <div class="d-flex bd-highlight">
        <div class="w-100 bd-highlight">
          <p class="head-detal">เป้าหมาย / ตัวชี้วัด</p>
        </div>
        <div class="flex-shrink-1 bd-highlight" style="width: 200px; text-align: end;">
          <!-- <span class="showPanel" *ngIf="reviewStatus === false && saveStatus_21 === true"
          class="showPanel_save_true">บันทึก</span>
        <span class="showPanel" *ngIf="reviewStatus === false && saveStatus_21 === false" class="showPanel_save_false"
          (click)="saveInformation_21()">บันทึก</span> -->
          <span *ngIf="reviewStatus === false" class="comment-head-center"></span>
          <span class="showPanel" *ngIf="information_21 === true" style="margin-left: 3px;" data-toggle="collapse"
            data-target="#collapse_21" aria-expanded="false" aria-controls="collapse_21"
            (click)="information_21 = !information_21"> แสดงผลน้อยลง </span>
          <span class="showPanel" *ngIf="information_21 === false" data-toggle="collapse" data-target="#collapse_21"
            aria-expanded="true" aria-controls="collapse_21" (click)="information_21 = !information_21"> แสดงผลเพิ่มเติม
          </span>
        </div>
      </div>
    </div>
    <div class="col-12">
      <hr style="margin-top: 0px;margin-bottom: 20px;">
    </div>
    <div class="col-12 collapse" [ngClass]="{show: exportStatus}" id="collapse_21" aria-labelledby="heading_21">
      <div class="body-detal">
        <app-step-ten-summary
          [template_manage]="{ role: null , validate: detailValidate_21, caaStatus: 'show', pageShow: 'executive'}"
          (saveStatus)="getSaveStatus_21($event)"></app-step-ten-summary>
      </div>
      <br>
    </div>
  </div>

  <!------------------- collapse_risk   ความเห็นสายงานบริหารความเสี่ยง   ------------------->
  <div class="row p-0">
    <div class="col-12" id="heading_risk">
      <div class="d-flex bd-highlight">
        <div class="w-100 bd-highlight">
          <p class="head-detal">ความเห็นสายงานบริหารความเสี่ยง</p>
        </div>
        <div class="flex-shrink-1 bd-highlight" style="width: 200px; text-align: end;">
          <!-- <span *ngIf="reviewStatus === false" class="showPanel_save" (click)="saveInformation_1()">บันทึก</span> -->
          <!-- <span *ngIf="reviewStatus === false" class="comment-head-center"></span> -->
          <!-- <span *ngIf="reviewStatus === false" class="comment-head-center"></span> -->
          <span class="showPanel" *ngIf="comment_risk_status === true" style="margin-left: 3px;" data-toggle="collapse"
            data-target="#collapse_risk" aria-expanded="false" aria-controls="collapse_risk"
            (click)="comment_risk_status = !comment_risk_status">แสดงผลน้อยลง</span>
          <span class="showPanel" *ngIf="comment_risk_status === false" data-toggle="collapse"
            data-target="#collapse_risk" aria-expanded="true" aria-controls="collapse_risk"
            (click)="comment_risk_status = !comment_risk_status">แสดงผลเพิ่มเติม</span>
        </div>
      </div>
    </div>
    <div class="col-12">
      <hr style="margin-top: 0px;margin-bottom: 20px;">
    </div>
    <div class="col-12 collapse" [ngClass]="{show: exportStatus}" id="collapse_risk" aria-labelledby="heading_risk">
      <div class="body-detal">
        <app-comment-risk></app-comment-risk>
        <span class="remark">หมายเหตุ</span>
        <table style="width: 100%;">
          <tr *ngFor="let item of remark">
            <td width="3%" class="remark">{{item.no}}.</td>
            <td width="97%" class="remark">{{item.detail}}</td>
          </tr>
        </table>
        <br>
      </div>
      <br>
    </div>
  </div>

  <!------------------- comment_compliance   ความเห็นของสายงานกำกับกฎเกณฑ์และกฎหมาย   ------------------->
  <div class="row p-0">
    <div class="col-12" id="heading_compliance">
      <div class="d-flex bd-highlight">
        <div class="w-100 bd-highlight">
          <p class="head-detal">ความเห็นของสายงานกำกับกฎเกณฑ์และกฎหมาย</p>
        </div>
        <div class="flex-shrink-1 bd-highlight" style="width: 200px; text-align: end;">
          <!-- <span *ngIf="reviewStatus === false" class="showPanel_save" (click)="saveInformation_1()">บันทึก</span> -->
          <!-- <span *ngIf="reviewStatus === false" class="comment-head-center"></span> -->
          <span class="showPanel" *ngIf="comment_compliance_status === true" style="margin-left: 3px;"
            data-toggle="collapse" data-target="#collapse_compliance" aria-expanded="false"
            aria-controls="collapse_compliance"
            (click)="comment_compliance_status = !comment_compliance_status">แสดงผลน้อยลง</span>
          <span class="showPanel" *ngIf="comment_compliance_status === false" data-toggle="collapse"
            data-target="#collapse_compliance" aria-expanded="true" aria-controls="collapse_compliance"
            (click)="comment_compliance_status = !comment_compliance_status">แสดงผลเพิ่มเติม</span>
        </div>
      </div>
    </div>
    <div class="col-12">
      <hr style="margin-top: 0px;margin-bottom: 20px;">
    </div>
    <div class="col-12 collapse" [ngClass]="{show: exportStatus}" id="collapse_compliance"
      aria-labelledby="heading_compliance">
      <div class="body-detal">
        <app-comment-compliance></app-comment-compliance>
        <span class="remark">หมายเหตุ</span>
        <table style="width: 100%;">
          <tr *ngFor="let item of remark">
            <td width="3%" class="remark">{{item.no}}.</td>
            <td width="97%" class="remark">{{item.detail}}</td>
          </tr>
        </table>
        <br>
      </div>
      <br>
    </div>
  </div>

  <!------------------- collapse_operation   ความเห็นสายงานปฎิบัติการ   ------------------->
  <div class="row p-0">
    <div class="col-12" id="heading_operation">
      <div class="d-flex bd-highlight">
        <div class="w-100 bd-highlight">
          <p class="head-detal">ความเห็นสายงานปฎิบัติการ</p>
        </div>
        <div class="flex-shrink-1 bd-highlight" style="width: 200px; text-align: end;">
          <!-- <span *ngIf="reviewStatus === false" class="showPanel_save" (click)="saveInformation_1()">บันทึก</span> -->
          <!-- <span *ngIf="reviewStatus === false" class="comment-head-center"></span> -->
          <span class="showPanel" *ngIf="comment_operation_status === true" style="margin-left: 3px;"
            data-toggle="collapse" data-target="#collapse_operation" aria-expanded="false"
            aria-controls="collapse_operation"
            (click)="comment_operation_status = !comment_operation_status">แสดงผลน้อยลง</span>
          <span class="showPanel" *ngIf="comment_operation_status === false" data-toggle="collapse"
            data-target="#collapse_operation" aria-expanded="true" aria-controls="collapse_operation"
            (click)="comment_operation_status = !comment_operation_status">แสดงผลเพิ่มเติม</span>
        </div>
      </div>
    </div>
    <div class="col-12">
      <hr style="margin-top: 0px;margin-bottom: 20px;">
    </div>
    <div class="col-12 collapse" [ngClass]="{show: exportStatus}" id="collapse_operation"
      aria-labelledby="heading_operation">
      <div class="body-detal">
        <app-comment-operation></app-comment-operation>
        <br>
      </div>
      <br>
    </div>
  </div>

  <!------------------- collapse_retail   การให้ความเห็นของสายงานบริหารคุณภาพสินเชื่อและกระบวนการธุรกิจเครือข่ายรายย่อย   ------------------->
  <div class="row p-0">
    <div class="col-12" id="heading_retail">
      <div class="d-flex bd-highlight">
        <div class="w-100 bd-highlight">
          <p class="head-detal">การให้ความเห็นของสายงานบริหารคุณภาพสินเชื่อและกระบวนการธุรกิจเครือข่ายรายย่อย</p>
        </div>
        <div class="flex-shrink-1 bd-highlight" style="width: 200px; text-align: end;">
          <!-- <span *ngIf="reviewStatus === false" class="showPanel_save" (click)="saveInformation_1()">บันทึก</span> -->
          <!-- <span *ngIf="reviewStatus === false" class="comment-head-center"></span> -->
          <span class="showPanel" *ngIf="comment_retail_status === true" style="margin-left: 3px;"
            data-toggle="collapse" data-target="#collapse_retail" aria-expanded="false" aria-controls="collapse_retail"
            (click)="comment_retail_status = !comment_retail_status">แสดงผลน้อยลง</span>
          <span class="showPanel" *ngIf="comment_retail_status === false" data-toggle="collapse"
            data-target="#collapse_retail" aria-expanded="true" aria-controls="collapse_retail"
            (click)="comment_retail_status = !comment_retail_status">แสดงผลเพิ่มเติม</span>
        </div>
      </div>
    </div>
    <div class="col-12">
      <hr style="margin-top: 0px;margin-bottom: 20px;">
    </div>
    <div class="col-12 collapse" [ngClass]="{show: exportStatus}" id="collapse_retail" aria-labelledby="heading_retail">
      <div class="body-detal">
        <app-comment-retail></app-comment-retail>
        <!-- <span class="remark">หมายเหตุ</span>
        <table style="width: 100%;">
          <tr *ngFor="let item of remark">
            <td width="3%" class="remark">{{item.no}}.</td>
            <td width="97%" class="remark">{{item.detail}}</td>
          </tr>
        </table> -->
        <br>
      </div>
      <br>
    </div>
  </div>

  <!------------------- comment_finance   ความเห็นสายงานบริหารการเงิน   ------------------->
  <div class="row p-0">
    <div class="col-12" id="heading_finance">
      <div class="d-flex bd-highlight">
        <div class="w-100 bd-highlight">
          <p class="head-detal">ความเห็นสายงานบริหารการเงิน</p>
        </div>
        <div class="flex-shrink-1 bd-highlight" style="width: 200px; text-align: end;">
          <!-- <span *ngIf="reviewStatus === false" class="showPanel_save" (click)="saveInformation_1()">บันทึก</span> -->
          <!-- <span *ngIf="reviewStatus === false" class="comment-head-center"></span> -->
          <span class="showPanel" *ngIf="comment_finance_status === true" style="margin-left: 3px;"
            data-toggle="collapse" data-target="#collapse_finance" aria-expanded="false"
            aria-controls="collapse_finance"
            (click)="comment_finance_status = !comment_finance_status">แสดงผลน้อยลง</span>
          <span class="showPanel" *ngIf="comment_finance_status === false" data-toggle="collapse"
            data-target="#collapse_finance" aria-expanded="true" aria-controls="collapse_finance"
            (click)="comment_finance_status = !comment_finance_status">แสดงผลเพิ่มเติม</span>
        </div>
      </div>
    </div>
    <div class="col-12">
      <hr style="margin-top: 0px;margin-bottom: 20px;">
    </div>
    <div class="col-12 collapse" [ngClass]="{show: exportStatus}" id="collapse_finance"
      aria-labelledby="heading_finance">
      <div class="body-detal">
        <app-comment-finance></app-comment-finance>
        <br>
      </div>
      <br>
    </div>
  </div>

  <!------------------- ประเด็นคงค้าง / สิ่งที่ต้องดำเนินการ   ------------------->
  <div class="row p-0" *ngIf="objective === 'ทบทวนผลิตภัณฑ์ระหว่างปี' || objective === 'ทบทวนผลิตภัณฑ์ประจำปี'">
    <div class="col-12" id="heading_20">
      <div class="d-flex bd-highlight">
        <div class="w-100 bd-highlight">
          <p class="head-detal">ประเด็นคงค้าง / สิ่งที่ต้องดำเนินการ</p>
        </div>
        <div class="flex-shrink-1 bd-highlight" style="width: 200px; text-align: end;">
          <span class="showPanel" *ngIf="outstanding_status === true" style="margin-left: 3px;" data-toggle="collapse"
            data-target="#collapse_outstanding" aria-expanded="false" aria-controls="collapse_outstanding"
            (click)="outstanding_status = !outstanding_status"> แสดงผลน้อยลง </span>
          <span class="showPanel" *ngIf="outstanding_status === false" data-toggle="collapse"
            data-target="#collapse_outstanding" aria-expanded="true" aria-controls="collapse_outstanding"
            (click)="outstanding_status = !outstanding_status">
            แสดงผลเพิ่มเติม
          </span>
        </div>
      </div>
    </div>
    <div class="col-12">
      <hr style="margin-top: 0px;margin-bottom: 20px;">
    </div>
    <div class="col-12 collapse" [ngClass]="{show: exportStatus}" id="collapse_outstanding"
      aria-labelledby="heading_20">
      <div class="body-detal">
        <div class="table-responsives"><br />
          <table>
            <thead>
              <tr>
                <th>วันที่เสนอ PC</th>
                <th>ผู้ให้ความเห็น</th>
                <th>จำนวนประเด็นคงค้าง</th>
              </tr>
            </thead>
            <tbody>
              <tr *ngFor="let issue of dataissue">
                <td style="text-align: left;">{{issue.presentDate}}</td>
                <td>
                  <div style="padding-top: 14px;padding-bottom: 14px;text-align: left;"
                    *ngFor="let buComment of issue.buComment">
                    {{buComment.buName}}
                  </div>
                </td>
                <td>
                  <div style="padding-top: 14px;padding-bottom: 14px;" *ngFor="let buComment of issue.buComment">
                    {{buComment.numberOfIssue}}
                  </div>
                </td>
              </tr>
            </tbody>
          </table>
        </div>
        <br>
      </div>
    </div>

  </div>